{% extends 'checkout/layout.html' %}

{% load static %}
{% load l10n %}}

{% block checkout_nav %}
    {% include 'checkout/nav.html' with step=2 %}
{% endblock %}

{% block cdn_styles %}
    {{ block.super }}
    <link href="https://cdn.jsdelivr.net/jquery.suggestions/17.2/css/suggestions.css" type="text/css" rel="stylesheet" />
{% endblock %}

{% block styles %}
    {{ block.super }}
    <link rel = "stylesheet" href = "{% static 'web/css/bootstrap-datepicker.min.css' %}">
{% endblock %}

{% block content %}
    <form method="post" action="." data-parsley-validate="" id="shippingForm" data-yandex-goal="dalee2">
        {% csrf_token %}
        <div class="delivery-sec {% if request.basket.contains_only_forbidden_for_delivery_products %}all{% endif %}
            {% if request.basket.contains_forbidden_for_delivery_products %}forbidden-for-delivery{% endif %}">
            <div class="wrap">
                {% for method in shipping_methods %}
                <div class="shipping-method-row
                    {% if shipping_method %}
                        {% if shipping_method.id == method.id %}selected{% endif %}
                    {% else %}
                        {% if forloop.first %}selected{% endif %}
                    {% endif %}
                ">
                    <div class="radio-styled">
                        <input type="radio" class="radio" id="shipping_method_variant_{{ forloop.counter }}" name="shipping_method"
                               value="{{ method.id }}"
                                {% if shipping_method %}
                                    {% if shipping_method.id == method.id %}checked{% endif %}
                                {% else %}
                                    {% if forloop.first %}checked{% endif %}
                                {% endif %}
                                data-require-address="{{ method.require_address }}"
                                data-charge="{{ method.price_per_order|floatformat:0 }}"
                                data-use-shipping-table="{{ method.use_shipping_table }}"
                           required
                        />
                        <label for="shipping_method_variant_{{ forloop.counter }}">{{ method.name }}</label>
                    </div>
                    <div class="description">
                        {{ method.description|safe }}
                    </div>
                </div>
                {% endfor %}
            </div>
            <div class="forbidden-for-delivery-products-info">
                В Вашей корзине есть товары запрещенные к дистанционной продаже (выделены красным).
                Данные товары можно забрать только самовывозом в наших точках продаж.
                <span class="not-only-forbidden-in-basket">
                    Пожалуйста, удалите эти товары из корзины и Вам откроются для выбора все способы доставки.
                    Товары, запрещенные к дистанционной продаже, на сайте необходимо оформить отдельным заказом.
                </span>
            </div>
        </div>
        <div class="row justify-content-end">
            <div class="col-lg-8 sdress-sec">
                <div class="wrap">
                    <div class="title">Адрес доставки:</div>
                    <p>Введите адрес для определения условий доставки.
                        Начните вводить название и выберите нужный вариант из подсказки</p>
                    <div class="form-inline">
                        <div class="form-group rasch" id="shippingFormAddressField">
                            <label>адрес:</label>
                            <input type="text" class="form-control" id="address" name="address_onestring"
                                   placeholder="Населенный пункт, улица, дом"
                                   data-parsley-maxlength="1024"
                                   data-parsley-class-handler="#shippingFormAddressField"
                                   data-parsley-validate-address=""
                                   data-parsley-validate-if-empty="true"
                                   {% if shipping_address %}value="{{ shipping_address.onestring }}"{% endif %}
                            >
                            <input hidden type="text" name="address_region" {% if shipping_address %}value="{{ shipping_address.region }}"{% endif %}>
                            <input hidden type="text" name="address_city" {% if shipping_address %}value="{{ shipping_address.city }}"{% endif %}>
                            <input hidden type="text" name="address_street" {% if shipping_address %}value="{{ shipping_address.street }}"{% endif %}>
                            <input hidden type="text" name="address_house" {% if shipping_address %}value="{{ shipping_address.house }}"{% endif %}>
                            <input hidden type="text" name="address_flat" {% if shipping_address %}value="{{ shipping_address.flat }}"{% endif %}>
                            <input hidden type="text" name="address_block" {% if shipping_address %}value="{{ shipping_address.block }}"{% endif %}>
                            <button type="button" class="btn btn__gold">Рассчитать</button>
                        </div>
                        <div class="form-group">
                            <label>Дата доставки:</label>
                            <div class="dropdown dropdown-select">
                                <button id="shippingDatePicker" class="btn dropdown-toggle datepicker dropdown-select__btn" type="button"
                                        data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                    <input name="shipping_date" type="text" readonly required
                                        data-parsley-class-handler="#shippingDatePicker"
                                        data-pasley-maxlength="10"
                                    >
                                </button>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Комментарии к заказу:</label>
                            <textarea name="address_notes" class="form-control" placeholder="Например: код домофона, “бизнес-центр”, офис,  не работает звонок">{% if shipping_address.notes %}{{ shipping_address.notes }}{% endif %}</textarea>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-5 widgets-sec">
                <div class="wrap">
                    <table class="table">
                        <tbody>
                        <tr class="basket-total">
                            <td>Товаров на сумму:</td>
                            <td>
                                <span class="price">
                                    {% if basket.is_tax_known %}
                                        {{ basket.total_incl_tax|floatformat:"0" }}
                                    {% else %}
                                        {{ basket.total_excl_tax|floatformat:"0" }}
                                    {% endif %}
                                </span>
                                <span class="rub-icon">
                                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                    </svg>
                                </span>
                            </td>
                        </tr>
                        <tr class="shipping">
                            <td>Доставка:</td>
                            <td><span class="price">
                                    {% if shipping_charge %}
                                        {{ shipping_charge.excl_tax|floatformat:0 }}
                                    {% else %}
                                        -
                                    {% endif %}
                                </span>
                                <span class="rub-icon">
                                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                    </svg>
                                </span>
                            </td>
                        </tr>
                        <tr class="pay-total">
                            <td>Всего к оплате:</td>
                            <td>
                                <span class="price price__big">
                                    {% if basket.is_tax_known %}
                                        {{ basket.total_incl_tax|floatformat:"0" }}
                                    {% else %}
                                        {{ basket.total_excl_tax|floatformat:"0" }}
                                    {% endif %}
                                </span>
                                <span class="rub-icon">
                                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                    </svg>
                                </span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="on-charge-undefined">
                    Пожалуйста свяжитесь с нами для уточнения стоимости доставки
    			</div>
                <button class="btn btn-block btn__gold" type="submit">ДАЛЕЕ <i class="fa fa-angle-right"></i></button>
                <div class="small">Нажимая на кнопку «Далее», вы принимаете условия <a href="{% url 'offert' %}" target="_blank">Публичной оферты</a></div>
            </div>
        </div>
    </form>
{% endblock %}

{% block cdn_scripts %}
    {{ block.super }}
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery.suggestions/17.2/js/jquery.suggestions.min.js"></script>
{% endblock %}

{% block scripts %}
    {{ block.super }}

    <script>
        SHIPPING_TABLE=JSON.parse('{{ shipping_table|safe }}');
    </script>

    <script src = "{% static 'web/js/libs/bootstrap-datepicker.js' %}"></script>
    <script src = "{% static 'web/js/libs/bootstrap-datepicker.ru.min.js' %}"></script>
    <script src = "{% static 'web/js/shipping.js' %}"></script>
{% endblock %}